NEAR(9)

NAME

near - Determine whether two values are roughly equal.

SYNOPSIS

loadrt near [count=N|names=name1[,name2...]]

FUNCTIONS

near.N (requires a floating-point thread)

PINS

near.N.in1 float in

near.N.in2 float in

near.N.out bit out

    out is true if in1 and in2 are within a factor of scale (i.e., for in1 positive, in1/scale <= in2 <= in1*scale), OR if their absolute difference is no greater than difference (i.e., |in1-in2| <= difference). out is false otherwise.

PARAMETERS

near.N.scale float rw (default: 1)

near.N.difference float rw (default: 0)

AUTHOR

Chris Radek

LICENSE

GPL